### Method

# GimpUi ColorProfileComboBox set_active_file

#### Declaration [src]

    void
    gimp_color_profile_combo_box_set_active_file (
      GimpColorProfileComboBox* combo,
      GFile* file,
      const gchar* label
    )

#### Description [src]

Selects a color profile from the `combo` and makes it the active item. If the profile is not listed in the `combo`, then it is added with the given `label` (or `file` in case that `label` is `NULL`).

Available since: | 2.10

#### Parameters

`file` | `GFile`
| File of the profile to select.
| The data is owned by the caller of the function.
`label` | `const gchar*`
| Label to use when adding a new entry (can be `NULL`)
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.